diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index 3cc5d4d..884321c 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -269,7 +269,7 @@ postgres: <replaceable>user</> <replaceable>database</> <replaceable>host</> <re
 
      <row>
       <entry><structname>pg_stat_database</><indexterm><primary>pg_stat_database</primary></indexterm></entry>
-      <entry>One row per database, showing database wide statistics. See
+      <entry>One row per database, showing database-wide statistics. See
        <xref linkend="pg-stat-database-view"> for more details.
       </entry>
      </row>
@@ -277,7 +277,7 @@ postgres: <replaceable>user</> <replaceable>database</> <replaceable>host</> <re
      <row>
       <entry><structname>pg_stat_database_conflicts</><indexterm><primary>pg_stat_database_conflicts</primary></indexterm></entry>
       <entry>
-       One row per database showing database wide statistics about
+       One row per database showing database-wide statistics about
        query cancels due to conflict with recovery on standby servers.
        Will only contain information on standby servers, since
        conflicts do not occur on master servers.
@@ -522,7 +522,7 @@ postgres: <replaceable>user</> <replaceable>database</> <replaceable>host</> <re
     <row>
      <entry>datid</entry>
      <entry><type>oid</></entry>
-     <entry>The oid of the database the backend is connected to.
+     <entry>The OID of the database the backend is connected to.
      This value can also be returned by directly calling
      the <function>pg_stat_get_backend_dbid</function>.</entry>
     </row>
@@ -836,7 +836,7 @@ SELECT pg_stat_get_backend_pid(s.backendid) AS pid,
     <row>
      <entry>datid</entry>
      <entry><type>oid</></entry>
-     <entry>The oid of the database</entry>
+     <entry>The OID of the database</entry>
     </row>
     <row>
      <entry>datname</entry>
@@ -855,15 +855,15 @@ SELECT pg_stat_get_backend_pid(s.backendid) AS pid,
     <row>
      <entry>xact_commit</entry>
      <entry><type>bigint</></entry>
-     <entry>The number of transactions in this database that has committed.
-     This value can also be returned by directly calling
+     <entry>The number of transactions in this database that have been
+     committed. This value can also be returned by directly calling
      the <function>pg_stat_get_db_xact_commit</function> function.</entry>
     </row>
     <row>
      <entry>xact_rollback</entry>
      <entry><type>bigint</></entry>
-     <entry>The number of transactions in this database that has rolled back.
-     This value can also be returned by directly calling
+     <entry>The number of transactions in this database that have been
+     rolled back. This value can also be returned by directly calling
      the <function>pg_stat_get_db_xact_rollback</function> function.</entry>
     </row>
     <row>
@@ -974,7 +974,7 @@ SELECT pg_stat_get_backend_pid(s.backendid) AS pid,
 
   <para>
    The <structname>pg_stat_database</structname> view will contain one row
-   for each database in the cluster showing database wide statistics.
+   for each database in the cluster showing database-wide statistics.
   </para>
 
   <table id="pg-stat-database-conflicts-view" xreflabel="pg_stat_database_conflicts">
@@ -992,7 +992,7 @@ SELECT pg_stat_get_backend_pid(s.backendid) AS pid,
     <row>
      <entry>datid</entry>
      <entry><type>oid</></entry>
-     <entry>The oid of the database</entry>
+     <entry>The OID of the database</entry>
     </row>
     <row>
      <entry>datname</entry>
@@ -1041,7 +1041,7 @@ SELECT pg_stat_get_backend_pid(s.backendid) AS pid,
 
   <para>
    The <structname>pg_stat_database_conflicts</structname> view will contain
-   one row per database showing database wide statistics about
+   one row per database showing database-wide statistics about
    query cancels due to conflict with recovery on standby servers.
    Will only contain information on standby servers, since
    conflicts do not occur on master servers.
@@ -1067,7 +1067,7 @@ SELECT pg_stat_get_backend_pid(s.backendid) AS pid,
     <row>
      <entry>usesysid</entry>
      <entry><type>oid</></entry>
-     <entry>The oid of the user logged into this WAL sender process</entry>
+     <entry>The OID of the user logged into this WAL sender process</entry>
     </row>
     <row>
      <entry>usename</entry>
@@ -1102,7 +1102,7 @@ SELECT pg_stat_get_backend_pid(s.backendid) AS pid,
      <entry><type>integer</></entry>
      <entry>
       The remote TCP port that the client is using for communication
-      to the , or <symbol>NULL</> if a unix socket is used.
+      to the, or <symbol>NULL</> if a unix socket is used.
      </entry>
     </row>
     <row>
@@ -1179,7 +1179,7 @@ SELECT pg_stat_get_backend_pid(s.backendid) AS pid,
     <row>
      <entry>relid</entry>
      <entry><type>oid</></entry>
-     <entry>The OID of the table this row</entry>
+     <entry>The OID of the table</entry>
     </row>
     <row>
      <entry>schemaname</entry>
